Privacy notice

Online payments browser compatibility

The payment card industry has insisted on only accepting payments through browsers with compatibility with a security protocol known as TLS 1.2.

TLS stands for Transport Layer Security. This protocol is an industry standard designed to protect the privacy of information communicated over the Internet.

Our online payment system only accepts TLS 1.2 connections. You may proceed if your internet browsing software can support or is configured to use TLS 1.2.

The browsers listed below all support TLS 1.2 , anything below these versions will need to be upgraded:

  • Chrome version 30 upwards
  • Android version 4.4 upwards
  • FireFox version 24 upwards
  • Internet Explorer version 8 upwards
  • Opera version 17 upwards
  • Safari version 7 upwards  with OSX version 10.9 upwards
  • Safari Mobile IOS version 5 upwards

If your browser is not listed above, please check with your vendor if TLS 1.2 is supported and how to get this enabled.

If your browser is listed above and you are still unable to proceed with your payment a change to your device set up is required.

Internet Explorer 11:

  1. Click the cog (top right of browser window)
  2. Internet Options
  3. Advanced Tab
  4. Scroll down to Security
  5. Tick the option ‘Use TLS 1.2’
  6. Click OK
  7. Refresh page

Chrome:

  1. Click on the three dots (top right of browser)
  2. Settings
  3. Scroll down and select ‘Show Advanced Settings’
  4. Scroll down to the Network Section.
  5. Click on ‘Change proxy settings’.
  6. Advanced Tab
  7. Scroll down to Security section
  8. Tick ‘Use TLS 1.2’
  9. Press OK.

If you still having issues please contact the Customer Support team.

 

 

 

 

rating button